std::char_traits::to_char_type(3)

NAME
std::char_traits::to_char_type - std::char_traits::to_char_type

Synopsis
   static char_type to_char_type( int_type c ); (until C++11)
   static constexpr char_type to_char_type( int_type c ) noexcept; (since C++11)
   Converts a value of int_type to char_type. If there are no equivalent value (such as
   when c is a copy of the eof() value), the result is unspecified.
   Formally, returns the value x such that X::eq_int_type(c, X::to_int_type(x)) is
   true, and an unspecified value if no such x exists.

Parameters
   c - value to convert

Return value
   A value equivalent to c.

Complexity
   Constant.